> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Run workflow

> Run a specific workflow on this conversation (replaces any active one).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /s2s/conversations/{conversationId}/workflow/{workflowId}/run
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /s2s/conversations/{conversationId}/workflow/{workflowId}/run:
    post:
      tags:
        - S2S Conversations
      summary: Run workflow
      description: Run a specific workflow on this conversation (replaces any active one).
      operationId: RunConversationWorkflow
      parameters:
        - in: path
          name: conversationId
          required: true
          schema:
            type: string
        - in: path
          name: workflowId
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Accepted
      security:
        - s2s: []
components:
  securitySchemes:
    s2s:
      type: http
      scheme: bearer
      bearerFormat: Service account token (JWT)

````